Node('flamp.config.sea.psi.ch',
     'lamp oven control (from manuel knecht)',
)

Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main sea connection for flamp.config',
    config='flamp.config',
    service='main',
)

Mod('tt',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='tt',
    rel_paths=['.', 't1'],
)

Mod('t2',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='tt',
    rel_paths=['t2'],
)

Mod('current',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='current',
    extra_modules=['i1,', 'i2,', 'i3,', 'i4'],
)

Mod('i1',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    single_module='current.i1',
)

Mod('i2',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    single_module='current.i2',
)

Mod('i3',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    single_module='current.i3',
)

Mod('i4',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    single_module='current.i4',
)

Mod('pv',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='pv',
)
